Angular Bootstrap radio buttons
Angular Radio Button - Bootstrap 4 & Material Design
The Angular Radio button is a component used to allow a user to make a single choice among many options, while Checkboxes are for selecting multiple options.
Default radio buttons
Default styling for Bootstrap radio button component
<!-- Default unchecked -->
<div class="custom-control custom-radio">
<input type="radio" class="custom-control-input" id="defaultUnchecked" name="defaultExampleRadios" mdbInput>
<label class="custom-control-label" for="defaultUnchecked">Default unchecked</label>
</div>
<!-- Default checked -->
<div class="custom-control custom-radio">
<input type="radio" class="custom-control-input" id="defaultChecked" name="defaultExampleRadios" checked mdbInput>
<label class="custom-control-label" for="defaultChecked">Default checked</label>
</div>
Material radio buttons MDB Pro component
Material Design styling for Bootstrap radio button component
<!-- Material unchecked -->
<div class="form-check">
<input type="radio" class="form-check-input" id="materialUnchecked" name="materialExampleRadios" mdbInput>
<label class="form-check-label" for="materialUnchecked">Material unchecked</label>
</div>
<!-- Material checked -->
<div class="form-check">
<input type="radio" class="form-check-input" id="materialChecked" name="materialExampleRadios" checked mdbInput>
<label class="form-check-label" for="materialChecked">Material checked</label>
</div>
Checked state
Add a
checked
attribute to the
<input>
element to pre-select the radio button when the page loads.
The
checked
attribute is a boolean attribute.
Default checkbox
<!-- Default checked -->
<div class="custom-control custom-radio">
<input type="radio" class="custom-control-input" id="defaultChecked2" name="defaultExample2" checked mdbInput>
<label class="custom-control-label" for="defaultChecked2">Default checked</label>
</div>
Material checkbox MDB Pro component
<!-- Material checked -->
<div class="form-check">
<input type="radio" class="form-check-input" id="materialChecked2" name="materialExample2" checked mdbInput>
<label class="form-check-label" for="materialChecked2">Material checked</label>
</div>
Disabled state
Add the
disabled
boolean attribute to the
<input>
and the custom indicator and the label description will be automatically styled and blocked.
A disabled
<input>
element is unusable and un-clickable.
Default radio buttons
<!-- Default unchecked disabled -->
<div class="custom-control custom-radio">
<input type="radio" class="custom-control-input" id="defaultUncheckedDisabled2" name="disabledGroupExample" disabled mdbInput>
<label class="custom-control-label" for="defaultUncheckedDisabled2">Default unchecked disabled</label>
</div>
<!-- Default checked disabled -->
<div class="custom-control custom-radio">
<input type="radio" class="custom-control-input" id="defaultCheckedDisabled2" name="disabledGroupExample" checked disabled mdbInput>
<label class="custom-control-label" for="defaultCheckedDisabled2">Default checked disabled</label>
</div>
Material checkbox MDB Pro component
To provide a proper cursor styling for the material radio button, apart from
the disabled
attribute you’ll also need to add the
.disabled
class to the
<label>
element.
<!-- Material unchecked disabled -->
<div class="form-check">
<input type="radio" class="form-check-input" id="materialUncheckedDisabled2" name="disabledGroupExample2" disabled mdbInput>
<label class="form-check-label disabled" for="materialUncheckedDisabled2">Material unchecked disabled</label>
</div>
<!-- Material checked disabled -->
<div class="form-check">
<input type="radio" class="form-check-input" id="materialCheckedDisabled2" name="disabledGroupExample2" checked disabled mdbInput>
<label class="form-check-label disabled" for="materialCheckedDisabled2">Material checked disabled</label>
</div>
Inline
Default radio buttons
You may group default radio buttons or checkboxes on the same horizontal row by adding
the .custom-control-inline
class to any parent element of the
<input>
element.
<!-- Default inline 1-->
<div class="custom-control custom-radio custom-control-inline">
<input type="radio" class="custom-control-input" id="defaultInline1" name="inlineDefaultRadiosExample" mdbInput>
<label class="custom-control-label" for="defaultInline1">1</label>
</div>
<!-- Default inline 2-->
<div class="custom-control custom-radio custom-control-inline">
<input type="radio" class="custom-control-input" id="defaultInline2" name="inlineDefaultRadiosExample" mdbInput>
<label class="custom-control-label" for="defaultInline2">2</label>
</div>
<!-- Default inline 3-->
<div class="custom-control custom-radio custom-control-inline">
<input type="radio" class="custom-control-input" id="defaultInline3" name="inlineDefaultRadiosExample" mdbInput>
<label class="custom-control-label" for="defaultInline3">3</label>
</div>
Material radio buttons MDB Pro component
You can also group material radio buttons or checkboxes on the same horizontal row by adding
the .form-check-inline
class to any parent element of the
<input>
element.
<!-- Material inline 1 -->
<div class="form-check form-check-inline">
<input type="radio" class="form-check-input" id="materialInline1" name="inlineMaterialRadiosExample" mdbInput>
<label class="form-check-label" for="materialInline1">1</label>
</div>
<!-- Material inline 2 -->
<div class="form-check form-check-inline">
<input type="radio" class="form-check-input" id="materialInline2" name="inlineMaterialRadiosExample" mdbInput>
<label class="form-check-label" for="materialInline2">2</label>
</div>
<!-- Material inline 3 -->
<div class="form-check form-check-inline">
<input type="radio" class="form-check-input" id="materialInline3" name="inlineMaterialRadiosExample" mdbInput>
<label class="form-check-label" for="materialInline3">3</label>
</div>
Template-driven forms MDB Pro component
In this section, you will find information on how to use our radio component in template-driven forms.
Remember to import the
FormsModule
into your
app.module.ts
Setting & getting the value
Bind in the two-way ngModel from component.html with template
and bind the [value]
with both templateUnchecked
and templateChecked
in the component.ts file
<form>
<div class="form-check">
<input type="radio" class="form-check-input" id="materialUnchecked" name="materialExampleRadios"
[(ngModel)]="template" [value]="templateUnchecked">
<label class="form-check-label" for="materialUnchecked">Template unchecked</label>
</div>
<div class="form-check">
<input type="radio" class="form-check-input" id="materialChecked" name="materialExampleRadios"
[(ngModel)]="template" [value]="templateChecked">
<label class="form-check-label" for="materialChecked">Template checked</label>
</div>
</form>
<button mdbBtn color="primary" mdbWavesEffect (click)="getCheckboxesValue()">Get radio value</button>
import { Component } from '@angular/core';
@Component({
selector: 'template-driven-radio',
templateUrl: 'template-driven-radio.component.html',
})
export class TemplateDrivenRadioComponent {
templateUnchecked = false;
templateChecked = true;
template = true;
getCheckboxesValue() {
console.log('ngModel value', this.template);
}
}
Reactive forms MDB Pro component
In this section, you will find information on how to use our radio component in reactive forms.
Remember to import the
ReactiveFormsModule
into your
app.module.ts
file.
Setting & getting the value
Set the default value with FormControl
and [value]
.
<form [formGroup]="reactiveForm">
<div class="form-check">
<input type="radio" class="form-check-input" id="materialUnchecked2" [value]="false"
formControlName="reactiveRadio" name="reactiveRadio">
<label class="form-check-label" for="materialUnchecked2">Reactive unchecked</label>
</div>
<div class="form-check">
<input type="radio" class="form-check-input" id="materialChecked2" [value]="true"
formControlName="reactiveRadio" name="reactiveRadio">
<label class="form-check-label" for="materialChecked2">Reactive checked</label>
</div>
</form>
import { Component } from '@angular/core';
import { FormGroup, FormControl } from '@angular/forms';
@Component({
selector: 'reactive-forms-radio',
templateUrl: 'reactive-forms-radio.component.html',
})
export class ReactiveFormsRadioComponent {
reactiveForm: FormGroup = new FormGroup({
reactiveRadio: new FormControl(true)
})
constructor() {
this.reactiveForm.controls['reactiveRadio'].valueChanges.subscribe((state: any) => {
console.log(state);
})
}
}
Angular Radio - API
In this section you will find informations about required modules and available inputs, outputs, methods and events of Angular radio component.
Modules used
In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.
// MDB Angular Pro
import { InputsModule, ButtonsModule } from 'ng-uikit-pro-standard'
// MDB Angular Free
import { InputsModule, ButtonsModule } from 'angular-bootstrap-md'
Radio buttons examples & customization
More examples of customization Angular Radio buttons in your application.

Radio

Vue Bootstrap 5 Radio

Vue Radio Button is a component used to allow a user to make a single choice among a number of options (whereas Checkboxes are used for selecting multiple options).


        
            
            <template>
              <MDBRadio
                label="Default radio"
                name="flexRadioDefault"
                v-model="radio1"
                value="flexRadioDefault1"
              />
              <MDBRadio
                label="Default checked radio"
                name="flexRadioDefault"
                v-model="radio1"
                value="flexRadioDefault2"
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBRadio } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBRadio,
                },
                setup() {
                  const radio1 = ref('flexRadioDefault2');

                  return {
                    radio1,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRadio } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              const radio1 = ref('flexRadioDefault2');
            </script>
          
        
    

Disabled

Add the disabled attribute and the associated <label>s are automatically styled to match with a lighter color to help indicate the input’s state.

        
            
            <template>
              <MDBRadio label="Disabled radio" name="flexRadioDisabled" disabled />
              <MDBRadio label="Disabled checked radio" name="flexRadioDisabled" disabled checked />
            </template>
          
        
    
        
            
            <script>
              import { MDBRadio } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBRadio,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRadio } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Inline

Group checkboxes or radios on the same horizontal row by adding inline property to any MDBRadio.

        
            
            <template>
              <MDBRadio label="1" value="option1" v-model="radio2" inline name="inlineRadioOptions" />
              <MDBRadio label="2" value="option2" v-model="radio2" inline name="inlineRadioOptions" />
              <MDBRadio
                label="(disabled)"
                value="option3"
                v-model="radio2"
                inline
                name="inlineRadioOptions"
                disabled
              />
            </template>
          
        
    
        
            
            <script>
              import { MDBRadio } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';

              export default {
                components: {
                  MDBRadio,
                },
                setup() {
                  const radio2 = ref('radio2');

                  return {
                    radio2,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRadio } from 'mdb-vue-ui-kit';
              import { ref } from 'vue';
              
              const radio2 = ref('radio2');
            </script>
          
        
    

Without labels

Omit the wrapping .form-check for checkboxes and radios that have no label text by adding :formCheck="false". Remember to still provide some form of label for assistive technologies (for instance, using aria-label).

        
            
            <template>
              <MDBRadio aria-label="..." name="radioNoLabel" :formCheck="false" value="" />
              <MDBRadio aria-label="..." name="radioNoLabel" :formCheck="false" value="" />
            </template>
          
        
    
        
            
            <script>
              import { MDBRadio } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBRadio,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRadio } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Toggle buttons

Toggle buttons can be grouped in a button group if needed.

        
            
            <template>
              <MDBBtnGroup>
                <MDBRadio :btnCheck="true" :wrap="false" labelClass="btn btn-secondary" label="Checked" name="options" value="option1"
                  v-model="radio3" />
                <MDBRadio :btnCheck="true" :wrap="false" labelClass="btn btn-secondary" label="Radio" name="options" value="option2"
                  v-model="radio3" />
                <MDBRadio :btnCheck="true" :wrap="false" labelClass="btn btn-secondary" label="Radio" name="options" value="option3"
                  v-model="radio3" />
              </MDBBtnGroup>
            </template>
          
        
    
        
            
            <script>
              import { MDBRadio, MDBBtnGroup } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              export default {
                components: {
                  MDBRadio,
                  MDBBtnGroup
                },
                setup() {
                  const radio3 = ref("option1");

                  return {
                    radio3
                  };
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRadio, MDBBtnGroup } from "mdb-vue-ui-kit";
              import { ref } from "vue";

              const radio3 = ref("option1");
            </script>
          
        
    

GET

UP TO 98% OFF

Check out our bundles and get up to 98% off PRO components.

Radio - API


Import

        
            
          <script>
            import {
              MDBRadio
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Property Type Default Description
label String "" Changes input label
wrapperClass String "" Changes input wrapper classes
labelClass String "" Changes input label classes
inline Boolean false Enables inline mode
btnCheck Boolean false Enables btn mode
wrap Boolean true Enables div.form-check wrapper
formCheck Boolean true Enables wrapper .formCheck class
tag String "div" Changes input wrapper tag
value String "" Sets radio value
v-model String "" Changes input value with two-way data binding
required Boolean "" Adds required attribute to input element
validateOnChange Boolean Add validation on change event to element
isValidated Boolean false Marks element as validated.
isValid Boolean "" Sets element as valid or invalid
validFeedback String "" Sets valid status feedback for validated element
invalidFeedback String "" Sets invalid status feedback for validated element
tooltipFeedback Boolean false Display validation feedback in a styled tooltip

React Bootstrap Radio buttons MDB Pro component
React Radio buttons - Bootstrap 4 & Material Design
Radio button is a component used for allowing a user to make a single choice among many options, while
Checkboxes are for selecting multiple options.Basic examples
Default styling for Bootstrap radio button component
import React from "react";
import { MDBContainer, MDBInput } from "mdbreact";
class InputPage extends React.Component {
state = {
radio: 2
}
onClick = (nr) => () => {
this.setState({
radio: nr
});
}
render() {
return (
<MDBContainer className="mt-5">
<MDBInput gap onClick={this.onClick(1)} checked={this.state.radio===1 ? true : false} label="Default unchecked" type="radio"
id="radio1" />
<MDBInput gap onClick={this.onClick(2)} checked={this.state.radio===2 ? true : false} label="Default checked" type="radio"
id="radio2" />
<MDBInput gap onClick={this.onClick(3)} checked={this.state.radio===3 ? true : false} label="Default unchecked disabled"
disabled type="radio" id="radio3" />
<MDBInput gap onClick={this.onClick(3)} checked={this.state.radio===2 ? true : false} label="Default checked disabled"
disabled type="radio" id="radio3" />
</MDBContainer>
);
}
}
export default InputPage;
Material Radio buttons
Material Design styling for Bootstrap radio button component
import React, { Component } from "react";
import { MDBContainer, MDBInput } from "mdbreact";
class InputPage extends Component {
state = {
radio: 2
}
onClick = nr => () => {
this.setState({
radio: nr
});
}
render() {
return (
<MDBContainer className="mt-5">
<MDBInput onClick={this.onClick(1)} checked={this.state.radio===1 ? true : false} label="Default unchecked" type="radio"
id="radio1" />
<MDBInput onClick={this.onClick(2)} checked={this.state.radio===2 ? true : false} label="Default checked" type="radio"
id="radio2" />
<MDBInput onClick={this.onClick(3)} checked={this.state.radio===3 ? true : false} label="Default unchecked disabled"
disabled type="radio" id="radio3" />
<MDBInput onClick={this.onClick(3)} checked={this.state.radio===2 ? true : false} label="Default checked disabled"
disabled type="radio" id="radio3" />
</MDBContainer>
);
}
}
export default InputPage;
Checked state
Add
checked
prop to the <Input>
component to pre-select radio button when the page
loads. The checked
prop is a boolean attribute.The checked attribute can be used with <Input type="radio">
and <Input type="checkbox">
.
Default radio buttons
import React, { Component } from "react";
import { MDBInput } from "mdbreact";
class InputPage extends Component {
state = {
radio: 2
}
onClick = (nr) => () => {
this.setState({
radio: nr
});
}
render() {
return (
<MDBInput gap onClick={this.onClick(2)} checked={this.state.radio===2 ? true : false} label="Default checked" type="radio"
id="radio2" />
);
}
}
export default InputPage;
Material radio buttons
import React, { Component } from "react";
import { MDBInput } from "mdbreact";
class InputPage extends Component {
state = {
radio: true
}
onClick = () => {
this.setState({
radio: !this.state.radio
});
}
render() {
return (
<MDBInput onClick={this.onClick} checked={this.state.radio} label="Default checked" type="radio" id="radio2" />
);
}
}
export default InputPage;
Disabled state
Add the disabled
boolean attribute to the <Input>
component and the custom
indicator and label description will be automatically styled and blocked. A disabled <Input>
component is unusable and un-clickable.
Default radio button
import React, { Component } from "react";
import { MDBContainer, MDBInput } from "mdbreact";
class InputPage extends Component {
state = {
radio: 2
}
handleChange = nr => () => {
this.setState({
radio: nr
});
}
render() {
return (
<MDBContainer className="mt-5">
<MDBInput gap onChange={this.handleChange(3)} disabled checked={this.state.radio===3 ? true : false} label="Default unchecked disabled"
type="radio" id="radio3" />
<MDBInput gap onChange={this.handleChange(2)} disabled checked={this.state.radio===2 ? true : false} label="Default checked disabled"
type="radio" id="radio3" />
</MDBContainer>
);
}
}
export default InputPage;
Material radio button
import React from "react";
import { MDBContainer, MDBInput } from "mdbreact";
class InputPage extends React.Component {
state = {
radio: 2
}
onClick = nr => () => {
this.setState({
radio: nr
});
}
render() {
return (
<MDBContainer className="mt-5">
<MDBInput onClick={this.onClick(3)} checked={this.state.radio===3 ? true : false} label="Default unchecked disabled"
disabled type="radio" id="radio3" />
<MDBInput onClick={this.onClick(3)} checked={this.state.radio===2 ? true : false} label="Default checked disabled"
disabled type="radio" id="radio3" />
</MDBContainer>
);
}
}
export default InputPage;
Inline
Group radio buttons or checkboxes on the same horizontal row by wraping <Input>
components in
<FormInline>
component.
Default radio buttons
import React, { Component } from 'react';
import { MDBFormInline, MDBInput } from 'mdbreact';
class InputPage extends Component {
state = {
radio: ''
};
onClick = nr => () => {
this.setState({
radio: nr
});
};
render() {
return (
<MDBFormInline>
<MDBInput
gap
onClick={this.onClick(1)}
checked={this.state.radio === 1 ? true : false}
label='1'
type='radio'
id='radio1'
containerClass='mr-5'
/>
<MDBInput
gap
onClick={this.onClick(2)}
checked={this.state.radio === 2 ? true : false}
label='2'
type='radio'
id='radio2'
containerClass='mr-5'
/>
<MDBInput
gap
onClick={this.onClick(3)}
checked={this.state.radio === 3 ? true : false}
label='3'
type='radio'
id='radio3'
containerClass='mr-5'
/>
</MDBFormInline>
);
}
}
export default InputPage;
Material radio buttons
import React, { Component } from 'react';
import { MDBFormInline, MDBInput } from 'mdbreact';
class InputPage extends Component {
state = {
radio: 2
};
onClick = nr => () => {
this.setState({
radio: nr
});
};
render() {
return (
<MDBFormInline>
<MDBInput
onClick={this.onClick(1)}
checked={this.state.radio === 1 ? true : false}
label='1'
type='radio'
id='radio1'
containerClass='mr-5'
/>
<MDBInput
onClick={this.onClick(2)}
checked={this.state.radio === 2 ? true : false}
label='2'
type='radio'
id='radio2'
containerClass='mr-5'
/>
<MDBInput
onClick={this.onClick(3)}
checked={this.state.radio === 3 ? true : false}
label='3'
type='radio'
id='radio3'
containerClass='mr-5'
/>
</MDBFormInline>
);
}
}
export default InputPage;
Radio Button - API
In this section you will find advanced information about the React Radio Button component. You will learn which modules are required in this component, what are the possibilities of configuring the component, and what events and methods you can use to work with it.
Import statement
In order to use Radio Button component make sure you have imported proper module first.
import React from 'react';
import { MDBInput } from 'mdbreact';
API Reference: Properties
The table below shows the configuration options of the MDBInput component.
Name | Type | Default | Description | Example |
---|---|---|---|---|
checked |
Boolean | false |
Pre-selects checkbox/radio button when the page loads. | <MDBInput checked /> |
className |
String | Adds custom class to Input component | <MDBInput className="myClass" /> |
|
containerClass |
String | Adds custom class to wrapping div | <MDBInput containerClass="wrapper" /> |
|
disabled |
Boolean | false |
Disables input component | <MDBInput disabled /> |
error |
String | Sets the error message for the labels data-error attribute |
<MDBInput error="Whoops!" /> |
|
filled |
Boolean | false |
Add filled-in style to checkbox/radio button | <MDBInput type="checkbox" filled /> |
gap |
Boolean | false |
Creates gap inside checkbox/radio button | <MDBInput type="checkbox" gap /> |
group |
Boolean | false |
Add .form-group class to the wrapping div | <MDBInput group /> |
hint |
String | Sets the placeholder for the Input | <MDBInput hint="Placeholder" /> |
|
icon |
String |
|
Adds font-awesome icon |
<MDBInput icon="caret-right" />
|
iconBrand |
Boolean | false |
Use this property to set brand icon (fab ) |
<MDBInput icon="twitter" iconBrand />
|
iconClassName |
String |
|
Adds custom classes to icon element |
<MDBInput icon="envelope" iconClassName="customClass" />
|
iconLight |
Boolean | false |
Use this property to set light icon (fal ) |
<MDBInput icon="twitter" iconLight />
|
iconRegular |
Boolean | false |
Use this property to set regular icon (far ) |
<MDBInput icon="twitter" iconRegular />
|
iconSize |
String |
|
Sets icon size |
<MDBInput icon="pencil-alt" size="5x" />
|
id |
String | Required! Set the id of the input element | <MDBInput id="myId" /> |
|
inputRef |
Function | Allows to attach React Ref to the input component; accepts only Callback Ref | <MDBInput inputRef={ref => this.myRef = ref } /> |
|
label |
String | Add label to the component; you can attach jsx elements (f.e. links) | <MDBInput label="My custom input" /> |
|
labelClass |
String | Adds custom class to the label | <MDBInput labelClass="labelCustomClass" /> |
|
size |
String | Changes size of the component; available lg and sm |
<MDBInput size="sm" /> |
|
success |
String | Sets the success message for the labels data-success attribute |
<MDBInput success="Yeah!" /> |
|
tag |
String | input |
Changes default input tag | <MDBInput tag="div" /> |
type |
String | text |
The type of the input element | <MDBInput type="checkbox" /> |
validate |
Boolean | false |
Adds .validate class to the Input component | <MDBInput validate /> |
value |
String | The value of the input element (use with the controlled input) | <MDBInput value="I am controlled" onChange={this.handleChange} /> |
|
valueDefault |
String | The default value of the input (use with the uncontrolled input) | <MDBInput valueDefault="I am uncontrolled" /> |
API Reference: Methods
The table below shows the methods which you can use with MDBInput component.
Name | Parameters | Description | Example |
---|---|---|---|
getValue |
Method called on input change event; returns input value | <MDBInput getValue={this.getValue} /> |
|
onBlur |
Method called on blur event, the blur event is raised when an element loses focus; returns event object | <MDBInput onBlur={this.handleBlur} /> |
|
onChange |
Method called on change event; returns event object | <MDBInput onChange={this.handleChange} /> |
|
onFocus |
Method called on focus event, the focus event is raised when the user sets focus on en element; returns event object | <MDBInput onFocus={this.handleFocus} /> |
|
onInput |
Method called on input event; returns event object | <MDBInput onInput={this.handleInput} /> |